Package Details: python-ftputil 3.2-3

Git Clone URL: https://aur.archlinux.org/python-ftputil.git (read-only)
Package Base: python-ftputil
Description: High-level FTP client library
Upstream URL: http://ftputil.sschwarzer.net/
Licenses: BSD 3-clause
Submitter: nic96
Maintainer: pingveno
Last Packager: pingveno
Votes: 13
Popularity: 0.593776
First Submitted: 2015-08-23 06:05
Last Updated: 2015-12-28 17:01

Latest Comments

Leo_Verto commented on 2015-12-25 17:59

Package building initially failed for me but worked after applying arthru's patch.

arthru commented on 2015-12-07 15:15

There is a problem with this PKGBUILD that I fixed with the following diff (that I can commit directly to the repo if you register me as comaintainer) :

diff --git a/PKGBUILD b/PKGBUILD
index e520aed..0a837ce 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
pkgbase=python-ftputil
pkgname=('python-ftputil' 'python2-ftputil')
pkgver=3.2
-pkgrel=2
+pkgrel=3
pkgdesc="High-level FTP client library"
arch=('any')
url="http://ftputil.sschwarzer.net/"
@@ -14,7 +14,7 @@ package_python-ftputil() {

cd "${srcdir}/ftputil-${pkgver}"
python setup.py install --root="${pkgdir}" --optimize=1
- install -D -m755 "${pkgdir}/usr/doc/ftputil" "${pkgdir}/usr/share/doc/python-ftputil"
+ install -d -D -m755 "${pkgdir}/usr/doc/ftputil" "${pkgdir}/usr/share/doc/python-ftputil"
}

package_python2-ftputil() {
@@ -22,5 +22,5 @@ package_python2-ftputil() {

cd "${srcdir}/ftputil-${pkgver}"
python2 setup.py install --root="${pkgdir}" --optimize=1
- install -D -m755 "${pkgdir}/usr/doc/ftputil" "${pkgdir}/usr/share/doc/python2-ftputil"
+ install -d -D -m755 "${pkgdir}/usr/doc/ftputil" "${pkgdir}/usr/share/doc/python2-ftputil"
}

pingveno commented on 2015-11-25 16:35

I fixed the conflict between python-ftputil and python2-ftputil in the 3.2-2 release of the package.

Brottweiler commented on 2015-09-25 17:17

getting this

error: failed to commit transaction (conflicting files)
/usr/doc/ftputil/README.txt exists in both 'python2-ftputil' and 'python-ftputil'
/usr/doc/ftputil/ftputil.html exists in both 'python2-ftputil' and 'python-ftputil'
/usr/doc/ftputil/ftputil.txt exists in both 'python2-ftputil' and 'python-ftputil'
/usr/doc/ftputil/whats_new_in_ftputil_3.0.html exists in both 'python2-ftputil' and 'python-ftputil'
/usr/doc/ftputil/whats_new_in_ftputil_3.0.txt exists in both 'python2-ftputil' and 'python-ftputil'
Errors occurred, no packages were upgraded.